
<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<!--    <meta charset="utf-8">-->
<!--    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">-->
<!--    <meta name="description" content="">-->
<!--    <meta name="author" content="">-->
    <link rel="icon" href="/docs/4.0/assets/img/favicons/favicon.ico">

    <title>Starter Template for Bootstrap</title>

    <link rel="canonical" href="https://getbootstrap.com/docs/4.0/examples/starter-template/">

    <!-- Bootstrap core CSS -->
    <link th:href="@{/css/bootstrap.css}" rel="stylesheet" media="screen"/>

    <!-- Custom styles for this template -->
    <link th:href="@{/css/starter-template.css}" rel="stylesheet" media="screen"/>
</head>

<body>

<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
    <a class="navbar-brand" href="#">Navbar</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarsExampleDefault">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#">Link</a>
            </li>
            <li class="nav-item">
                <a class="nav-link disabled" href="#">Disabled</a>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="http://example.com" id="dropdown01" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Dropdown</a>
                <div class="dropdown-menu" aria-labelledby="dropdown01">
                    <a class="dropdown-item" href="#">Action</a>
                    <a class="dropdown-item" href="#">Another action</a>
                    <a class="dropdown-item" href="#">Something else here</a>
                </div>
            </li>
        </ul>
        <form class="form-inline my-2 my-lg-0">
            <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
        </form>
    </div>
</nav>

<main role="main" class="container">

    <h1>Data Mahasiswa</h1>

    <div th:if="${not #lists.isEmpty(mahasiswa)}">
        <table class="table table-striped">
            <thead>
            <tr>
                <th scope="col">Nama</th>
                <th scope="col">NIM</th>
                <th scope="col">Jurusan</th>
                <th scope="col">Action</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="mahasiswas : ${mahasiswa}">
                <td th:text="${mahasiswas.nama}"></td>
                <td th:text="${mahasiswas.nim}"></td>
                <td th:text="${mahasiswas.jurusan}"></td>
                <td class="btn-group">
                    <a th:href="${'/mahasiswa/edit/'+mahasiswas.id}" class="btn btn-sm btn-warning">Edit</a>
                    <a th:href="${'/mahasiswa/hapus/'+mahasiswas.id}"class="btn btn-sm btn-danger">Hapus</a>
                </td>
            </tr>
            </tbody>
        </table>
    </div>

    <div>
        <a class="btn btn-primary" href="/mahasiswa/create">Add New Mahasiswa</a>
    </div>

</main><!-- /.container -->

<!-- Bootstrap core JavaScript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<script th:src="@{/js/jquery.js}"></script>
<script th:src="@{/js/popper.js}"></script>
<script th:src="@{/js/bootstrap.js}"></script>
</body>
</html>
